package com.lanren.huhu.partner.model;

import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author houseme
 * @date 2019-06-26 11:47
 * @Project partner
 * @Package com.lanren.huhu.partner.model
 * @File: Partner
 */
@Data
public class Partner implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "userId 不能为空")
    @Min(value = 1, message = "userId 需要大于0")
    private int userId;

    private int level;
}
